---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libSuspendWithCurrentThread.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL13threads_count, symObjAddr: 0x21630, symBinAddr: 0x8040, symSize: 0x0 }
  - { offsetInCU: 0xAA, offset: 0xAA, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x21638, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0x8CE1, offset: 0x8CE1, size: 0x8, addend: 0x0, symName: __ZL7threads, symObjAddr: 0x21640, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0xA1EB, offset: 0xA1EB, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x2740, symSize: 0x30 }
  - { offsetInCU: 0xA53D, offset: 0xA53D, size: 0x8, addend: 0x0, symName: _Java_SuspendWithCurrentThread_registerTestedThreads, symObjAddr: 0xE90, symBinAddr: 0x2770, symSize: 0x110 }
  - { offsetInCU: 0xA7D2, offset: 0xA7D2, size: 0x8, addend: 0x0, symName: _Java_ThreadToSuspend_suspendTestedThreads, symObjAddr: 0xFA0, symBinAddr: 0x2880, symSize: 0x3C0 }
  - { offsetInCU: 0xAD04, offset: 0xAD04, size: 0x8, addend: 0x0, symName: _Java_SuspendWithCurrentThread_checkTestedThreadsSuspended, symObjAddr: 0x1360, symBinAddr: 0x2C40, symSize: 0x120 }
  - { offsetInCU: 0xAEB7, offset: 0xAEB7, size: 0x8, addend: 0x0, symName: _Java_SuspendWithCurrentThread_resumeTestedThreads, symObjAddr: 0x1480, symBinAddr: 0x2D60, symSize: 0x230 }
  - { offsetInCU: 0xB1E4, offset: 0xB1E4, size: 0x8, addend: 0x0, symName: _Java_SuspendWithCurrentThread_releaseTestedThreadsInfo, symObjAddr: 0x16B0, symBinAddr: 0x2F90, symSize: 0xF0 }
  - { offsetInCU: 0xB380, offset: 0xB380, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x17A0, symBinAddr: 0x3080, symSize: 0x97 }
...
